Get all fact-find requests for the user. [DEPRECATED: Use the v2 fact-find session routes]
Deprecated
Run in API Explorer
Ask AI
GET
/api/v1/fact-find/request
curl \
--request GET 'https://api.plannrcrm.com/api/v1/fact-find/request' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "e15d251a-79a5-4747-8e15-c43ecb83604d",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"status": "complete",
"completed_at": "2026-11-12T20:47:11+00:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "339b64f2-c344-463a-8fc1-5104798de813",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"archived_at": "2026-11-16T20:47:11+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/b0c83d5a-5d58-4d6f-b84c-928488f3d5e0"
},
"latest_file": {
"uuid": "c752a7eb-2eb5-4b56-8707-c7be1e0caca3",
"created_at": "2026-11-17T20:47:11+00:00",
"original_created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"uploaded_at": "2026-11-17T20:47:11+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-17T20:47:11+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/96f80e37-0635-4289-97b1-686a0d51cd2b/download",
"preview_url": "https://api.plannrcrm.com/file/1417a9c2-0fe2-4c42-b3fa-fddcdb1cd17e/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "2fe7b713-bb77-4f5f-a41b-92911ba0ea9c",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "b118ed97-d4c8-474f-9784-e4b416fc2a4c"
},
"firm": {
"uuid": "ec18a25b-b8f9-4661-b4eb-352c7a5ed3dc",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "8620dd83-2ef9-474d-a945-22f66848083e",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "650cc54b-1329-47e1-b5c1-9d33754f3e56",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "5f498600-dd07-4f85-93cb-b13a514928f6",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/c4d5c28c-2d16-4ec9-811d-487b740e9c25/0ffa40ef-944c-41ed-9a2c-79e4a64f2a75",
"fact_find_passes": {
"uuid": "2a337fc1-2217-4115-8bac-b6d45ace99a9",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"firm": {
"uuid": "e1b8debd-030b-48a6-936d-bca49069e58b",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "8620dd83-2ef9-474d-a945-22f66848083e",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "e61e64f7-efc1-4004-9f6c-96664ec91f2f",
"name": "The Codepotato Gang"
},
"expires_at": "2026-11-17T20:47:11+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}
]
}